﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="View.ascx.cs" Inherits="Christoc.Modules.CopySafeWeb.View" %>
<%@ Register TagName="label" TagPrefix="dnn" Src="~/controls/labelcontrol.ascx" %>

<script type="text/javascript">
    var m_bpChrome = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowChrome?1:0 %>";
    var m_bpFx = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowFirefox?1:0 %>";
    var m_bpNav = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowNavigator?1:0 %>";
    var m_bpOpera = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowOpera?1:0 %>";
    var m_bpSafari = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowSafari?1:0 %>";
    var m_bpMSIE = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowIE?1:0 %>";
    var m_bpASPS = "<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.AllowASPS?1:0 %>";

    var wpcsw_plugin_url ='<%= this.ModuleUrl %>'

</script>

<% if (DotNetNuke.Common.Globals.IsEditMode() == true)
   { %>
<script type="text/javascript">
    var CopySafeWeb = {
        AttachToEditor: function (iframe) {
            if (iframe == null)
                iframe = 'iframe';
            $(iframe).each(function () {
                var iwindow = $(this)[0].contentWindow;
                if (iwindow.$ == null) return;

                var idocument = $(iframe).contents();
                idocument.find('button.copy-safe-web-button').remove();
                idocument.find('.dnnTextEditor').each(function () {
                    var panelId = $(this).find('.dnnTextPanel').attr('id');
                    $(this).prepend('<button type="button" class="copy-safe-web-button" data-panel-id="' + panelId + '">&copy;</button>');
                });

                iwindow.$('body').off('click', 'button.copy-safe-web-button').on('click', 'button.copy-safe-web-button', function () {
                    var panelId = iwindow.$(this).data('panel-id');
                    var panel = iwindow.$('#' + panelId);

                    $('#copy-safe-web-dialog').dialog({ modal: true, autoOpen: true, dialogClass: "dnnFormPopup", position: "center", minWidth: 700, minHeight: 500 });
                    $('#copy-safe-web-dialog').find('iframe').attr('src', '<%= Page.ResolveUrl("~/DesktopModules/CopySafeWeb/Add.aspx") %>');

                    $('#copy-safe-web-dialog').parent().find('.ui-dialog-titlebar-close').unbind('click').bind('click', function () {
                        $(this).closest('.ui-dialog').find('.ui-dialog-content').dialog('close');
                    });

                    $('#copy-safe-web-dialog').unbind('dialogclose').bind('dialogclose', function () {
                        var result = $(this).data('result');
                        if (result != null) {
                            //var radeditor = panel.find('.RadEditor');
                            //var textarea = panel.find('.dnnTextPanelView-basic').parent().find('textarea');
							
							var radeditor = panel.find('.ehCurrentContent textarea.editor');
                            var textarea = panel.find('.dnnFormItem').parent().find('textarea.editor');
							
                            if (radeditor.length > 0) {
                                var radeditorObj = iwindow.$find(radeditor.attr('id'));
                                radeditorObj.pasteHtml(result);
                            }
                            else if (textarea.length > 0) {
                                var value = $(textarea).val();
                                textarea.val(value + result);
                            }
                        }
                    });

                    $('#copy-safe-web-dialog').data('result', null);
                });
            });
        }
    }

    $(document).ajaxStop(function () {
        CopySafeWeb.AttachToEditor();
    });

    $("body").on("dialogopen", ".ui-dialog", function (event, ui) {
        var iframe = $(this).find('iframe');

        $(iframe).load(function () {
            CopySafeWeb.AttachToEditor(this);

            var iwindow = $(iframe)[0].contentWindow;
            if (iwindow.$ == null) return;
            iwindow.$(iwindow.document).ajaxStop(function () {
                CopySafeWeb.AttachToEditor(iframe);
            });

            iwindow.$(iwindow.document).on('click', 'a, .dnnTextPanel, .dnnTextPanelView', function () {
                setTimeout(function () { CopySafeWeb.AttachToEditor(iframe); }, 500);
                setTimeout(function () { CopySafeWeb.AttachToEditor(iframe); }, 1000);
                setTimeout(function () { CopySafeWeb.AttachToEditor(iframe); }, 3000);
            });
        });
    });
</script>

<div id="copy-safe-web-dialog" title="Basic dialog" style="display: none">
    <iframe style="width: 100%; height: 500px"></iframe>
</div>

<% }
   else
   { %>
<style type="text/css">
    .DnnModule-CopySafeWeb {
        display: none;
    }
</style>

<script type="text/javascript" src="<%= Page.ResolveUrl("~/DesktopModules/CopySafeWeb/module.js") %>"></script>
<%--<script type="text/javascript" src="DesktopModules/CopySafeWeb/chrome.js"></script>--%>

<script type="text/javascript">
    CopySafeWeb('<%= Christoc.Modules.CopySafeWeb.Data.CopySafeConfig.Mode %>', '<%= this.Url %>', '<%= this.ImagePlaceholder %>');
</script>
<% } %>
